Subject: Re: bug#22314: 25.1.50; Document variable `deactivate-mark' in Elisp manual

From: Eli Zaretskii <[email-masked]>
Date: Fri, 08 Jan 2016 21:08:55 +0200

> Date: Fri, 8 Jan 2016 07:00:28 -0800 (PST)
> From: Drew Adams <[email-masked]>
> Cc: [email-masked]
> 
> > > My bad.  It is already documented.  I didn't notice it because
> > > it is not one of the index entries for `deactivate-mark'.
> > > I think it should be.
> > 
> > They are both indexed, AFAICS.  Why did you think the variable
> > isn't?
> > The descriptions appear next to each other, so a single index entry
> > for both seems like TRT.  Am I missing something?
> 
> I think you are.  At least for me, with the latest Emacs 25
> snapshot I have (2015/12/10), `i deactivate-mark' shows two
> index entries, and `,' bounces between them.  They are:
> (1) deactivate-mark, the function, and (2) deactivate-mark-hook,
> a variable.  Variable `deactivate-mark' is not one of them.
> 
> Do you really see something different?

I see the same, but I don't understand why that is a problem.  The
function and the variable are described one after the other, and 'i'
puts you on the first of them with the second clearly visible below.
How is that a problem?  And how is it worse than having 2 identical
index entries instead, which point each one to a place several lines
apart?